ChiliProject - Bug # 874: Error migrating from Redmine 1.3.0 to Chiliproject 3.0.0

Status: Declined Priority: Normal
Author: Andrew Smith Category: Journals / History
Created: 2012-02-08 Assignee:
Updated: 2012-02-15 Due date:
Remote issue URL:
Affected version: 3.0.0
Description: Migrating from redmine to chiliproject is giving me the following error
<pre>

** Invoke db:migrate (first_time)

** Invoke environment (first_time)

** Execute environment

** Execute db:migrate

== MergeWikiVersionsWithJournals: migrating
rake aborted!

An error has occurred, all later migrations canceled:

uninitialized constant MergeWikiVersionsWithJournals::WikiContentJournal
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/activesupport-2.3.14/lib/active_support/dependencies.rb:131:in
“rescue in const_missing'
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/activesupport-2.3.14/lib/active_support/dependencies.rb:120:in
‘const_missing'

db/migrate//20100804112053_merge_wiki_versions_with_journals.rb:24:in "up'
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/activerecord-2.3.14/lib/active_record/migration.rb:282:in “block in
migrate’

/usr/local/rvm/rubies/ruby-1.9.3-p0/lib/ruby/1.9.1/benchmark.rb:280:in "measure’
/ust/local/rvm/gems/ruby-1.9.3-p0/gems/activerecord-2.3.14/lib/active_record/migration.rb:282:in “migrate’
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/activerecord-2.3.14/lib/active_record/migration.rb:365:in “migrate’
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/activerecord-2.3.14/lib/active_record/migration.rb:491:in “block (2
levels) in migrate’
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/activerecord-2.3.14/lib/active_record/migration.rb:567:in “call’
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/activerecord-2.3.14/lib/active_record/migration.rb:567:in
“ddl_transaction'
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/activerecord-2.3.14/lib/active_record/migration.rb:490:in “block in
migrate’'

/usr/local/rvm/gems/ruby-1.9.3-p0/gems/activerecord-2.3.14/lib/active_record/migration.rb:477:in “each’
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/activerecord-2.3.14/lib/active_record/migration.rb:477:in “migrate’
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/activerecord-2.3.14/lib/active_record/migration.rb:401:in “up'
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/activerecord-2.3.14/lib/active_record/migration.rb:383:in “migrate’
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/rails-2.3.14/lib/tasks/databases.rake:112:in “block (2 levels) in <top
(required)>'

/usr/local/rvm/gems/ruby-1.9.3-p0/gems/rake-0.9.2.2/lib/rake/task.rb:205:in “call'
/ust/local/rvm/gems/ruby-1.9.3-p0/gems/rake-0.9.2.2/lib/rake/task.rb:205:in “block in execute'
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/rake-0.9.2.2/lib/rake/task.rb:200:in “each’
/ust/local/rvm/gems/ruby-1.9.3-p0/gems/rake-0.9.2.2/lib/rake/task.rb:200:in “execute’
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/rake-0.9.2.2/lib/rake/task.rb:158:in “block in invoke_with_call_chain'
/usr/local/rvm/rubies/ruby-1.9.3-p0/lib/ruby/1.9.1/monitor.rb:211:in “mon_synchronize'
/ust/local/rvm/gems/ruby-1.9.3-p0/gems/rake-0.9.2.2/lib/rake/task.rb:151:in “invoke_with_call_chain’
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/rake-0.9.2.2/lib/rake/task.rb:144:in “invoke'
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/rake-0.9.2.2/lib/rake/application.rb:116:in “invoke_task'
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/rake-0.9.2.2/lib/rake/application.rb:94:in “block (2 levels) in top_level'
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/rake-0.9.2.2/lib/rake/application.rb:94:in “each’
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/rake-0.9.2.2/lib/rake/application.rb:94:in “block in top_level'
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/rake-0.9.2.2/lib/rake/application.rb:133:in
“standard_exception_handling'
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/rake-0.9.2.2/lib/rake/application.rb:88:in “top_level'
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/rake-0.9.2.2/lib/rake/application.rb:66:in “block in run’
/usr/local/rvm/gems/ruby-1.9.3-p0/gems/rake-0.9.2.2/lib/rake/application.rb:133:in
“standard_exception_handling'
/ust/local/rvm/gems/ruby-1.9.3-p0/gems/rake-0.9.2.2/lib/rake/application.rb:63:in “run’
/ust/local/rvm/gems/ruby-1.9.3-p0/gems/rake-0.9.2.2/bin/rake:33:in “<top (required)>'
/ust/local/rvm/gems/ruby-1.9.3-p0/bin/rake:19:in “load'
/usr/local/rvm/gems/ruby-1.9.3-p0/bin/rake:19:in “<main>"'

Tasks: TOP => db:migrate

</pre>

Before that error | also encountered an error related to changesets which was fixed by remove any entries
that were part of the missing repository, not sure if that could be related at all.

History

2012-02-08 11:39 pm - Andrew Smith

| was able to 'fix' this by dropping the database and restoring from a backup. Before starting the migration | deleted the changesets that didn't have a
valid repo_id and then started the migration. Everything completed successfully then.

Not sure why an error in the changeset migration would cause the wiki to not migrate.

Need any more info/testing just let me know and | can attempt to reproduce the error.

2012-02-14 03:58 pm - Aleksander Lygren Toppe

We did an upgrade from Chiliproject 1.3.0 to 3.0 (previously migrated from bugzilla->redmine),

and hit the same error. The root cause for us was some journal_entries pointing to a non-existent journal.

Removing these journal_entries before trying the migration got us through with no problems.

2012-02-15 12:56 pm - Felix Schafer

- Status changed from Open to Declined

Thanks for the feedbacks. I'll decline this issue as having been resolved at least for everyone who reported here without changes to the core code.
